      SUBROUTINE QTIEFF
      implicit none
C     ****
C     ****     CALCULATES ELECTRON PRODUCTION OF N4S AND N2D IN NQTEF
C     ****
      include "params.h"
      include "blnk.h"
      include "vscr.h"
      include "cons.h"
      include "index.h"
      include "buff.h"
      include "crates.h"
!
! Local:
      integer :: nqn2pk,nqtefk,i
C     ****
C     ****     ADD NQN2P TO NQTEF
C     ****
      NQN2PK = NQN2P
      NQTEFK = NQTEF
      DO 1 I = 1,LEN3
        F(I,NQTEFK) = F(I,NQTEFK)+1.57*F(I,NQN2PK)
C       F(I,NQTEFK) = F(I,NQTEFK)+1.57*DISN2P(I,1)
    1 CONTINUE
      RETURN
      END
C
